RepSelectByPrefTask (Lucene 3.6.2 API)
Keywords: org.apache.lucene.benchmark.byTask.tasks.RepSelectByPrefTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.tasks
Class RepSelectByPrefTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ReportTask
              org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
                  org.apache.lucene.benchmark.byTask.tasks.RepSelectByPrefTask

All Implemented Interfaces:
  Cloneable

    public class RepSelectByPrefTask

extends RepSumByPrefTask

Report by-name-prefix statistics with no aggregations.
Other side effects: None.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
`prefix`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask
`COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params, stopNow`

Constructor Summary
`RepSelectByPrefTask(PerfRunData runData)`

Method Summary
`int` | `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected Report` | `reportSelectByPrefix(List<TaskStats> taskStats)`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
`reportSumByPrefix, setPrefix, toString`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask
`genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, stopNow, supportsParams, tearDown`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepSelectByPrefTask

    public RepSelectByPrefTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Overrides:
    `doLogic` in class `RepSumByPrefTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

### reportSelectByPrefix

    protected Report reportSelectByPrefix(List<TaskStats> taskStats)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD